# Some file-reading loops

import os


# Read a file and print it to the console.  
# Each line has a newline character at the end, so 
# we prevent the print function from adding another newline
# by using the extra argument: end=""
def display_file(filename):
    f = open(filename)
    for line in f:
        print(line, end="")
    f.close()


# Read a file and print it to the console, alternate form
# using readline and a while-loop.  Note that each time readline
# is called you get the next line of the file.
def display_file2(filename):
    f = open(filename)
    line = f.readline()
    while len(line) > 0:
        print(line, end="")
        line = f.readline()
    f.close()

# Read a file and print it to the console, alternate form
# using readlines().
def display_file3(filename):
    f = open(filename)
    lines = f.readlines()
    for line in lines:
        print(line, end="")
    f.close()



# Counts the words in a file.  First strip off the newline, then
# use the split() method to split the line into individual words.
def count_words(filename):
    count = 0
    f = open(filename)
    for line in f:
        line = line.strip()
        words = line.split()
        count += len(words)
    f.close()
    return count




    
# use this to display current working directory
#print("Working directory: ", os.getcwd())


# try out the loops above

#display_file("testfile.txt")

#display_file2("testfile2.txt")

#count = count_words("testfile2.txt")
#print(count, "words")

display_file3("testfile.txt")